Saltar al contenido principal
GET
/
cms
/
blogs
/
2026-03
/
authors
Get all Blog Authors
curl --request GET \
  --url https://api.hubapi.com/cms/blogs/2026-03/authors \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Specifies whether to return deleted Blog Authors. Defaults to false.

createdAfter
string<date-time>

Only return Blog Authors created after the specified time.

createdAt
string<date-time>

Only return Blog Authors created at exactly the specified time.

createdBefore
string<date-time>

Only return Blog Authors created before the specified time.

limit
integer<int32>

The maximum number of results to return. Default is 100.

property
string

Used to specify which properties of the Blog Authors to include in the response.

sort
string[]

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

updatedAfter
string<date-time>

Only return Blog Authors last updated after the specified time.

updatedAt
string<date-time>

Only return Blog Authors last updated at exactly the specified time.

updatedBefore
string<date-time>

Only return Blog Authors last updated before the specified time.

Respuesta

successful operation

results
object[]
requerido

Collection of blog authors.

total
integer<int32>
requerido

Total number of blog authors.

paging
object
Última modificación el 13 de abril de 2026